> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List calls

> Returns recent calls for the authenticated organization, newest first.



## OpenAPI

````yaml /openapi.json get /v1/calls
openapi: 3.1.0
info:
  title: RevDesk v1 API
  version: 1.0.0
  description: >-
    Programmatic access to the RevDesk voice platform — calls, numbers, caller
    trust, and brands.
  contact:
    name: RevDesk
    email: support@revdesk.com
servers:
  - url: https://api.revdesk.com
security:
  - bearerAuth: []
tags:
  - name: Phone Numbers
  - name: Caller IDs
  - name: Enterprise Registration
  - name: Branded Calling
  - name: Calls
  - name: SMS
  - name: WebRTC
  - name: Reputation
  - name: Usage
  - name: Account
  - name: Agents
  - name: Documents
  - name: Number Registration
  - name: Sub-entities
paths:
  /v1/calls:
    get:
      tags:
        - Calls
      summary: List calls
      description: Returns recent calls for the authenticated organization, newest first.
      operationId: v1_calls_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: number
            minimum: 1
            maximum: 50
        - name: status
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-07/schema#
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          type: string
                        direction:
                          type: string
                        from_number:
                          type: string
                        to_number:
                          type: string
                        started_at:
                          anyOf:
                            - type: string
                            - type: 'null'
                        ended_at:
                          anyOf:
                            - type: string
                            - type: 'null'
                        duration_seconds:
                          anyOf:
                            - type: number
                            - type: 'null'
                        phone_number_id:
                          anyOf:
                            - type: string
                            - type: 'null'
                        has_recording:
                          type: boolean
                        recording_url:
                          anyOf:
                            - type: string
                            - type: 'null'
                        has_transcript:
                          type: boolean
                      required:
                        - id
                        - status
                        - direction
                        - from_number
                        - to_number
                        - started_at
                        - ended_at
                        - duration_seconds
                        - phone_number_id
                        - has_recording
                        - recording_url
                        - has_transcript
                      additionalProperties: false
                  meta:
                    type: object
                    properties:
                      cursor:
                        type: string
                      total_results:
                        type: number
                      page_size:
                        type: number
                    additionalProperties: false
                required:
                  - data
                  - meta
                additionalProperties: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Conflict (incl. idempotency conflicts)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            fields:
              type: object
              additionalProperties:
                type: string
            doc_url:
              type: string
              format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````